//
// ApiVersionAPI.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Alamofire



open class ApiVersionAPI: APIBase {
    /**
     Verifie la version
     
     - parameter currentVersion: (query)  
     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func apiVersionNeedUpdateGet(currentVersion: Int, completion: @escaping ((_ data: Version?,_ error: Error?) -> Void)) {
        apiVersionNeedUpdateGetWithRequestBuilder(currentVersion: currentVersion).execute { (response, error) -> Void in
            completion(response?.body, error);
        }
    }


    /**
     Verifie la version
     - GET /apiVersion/needUpdate
     - Permet la vérification de la version de l'application afin de forcer la MAJ
     - examples: [{contentType=application/json, example={
  "needUpdate" : true
}}]
     
     - parameter currentVersion: (query)  

     - returns: RequestBuilder<Version> 
     */
    open class func apiVersionNeedUpdateGetWithRequestBuilder(currentVersion: Int) -> RequestBuilder<Version> {
        let path = "/apiVersion/needUpdate"
        let URLString = MyVillageAPIAPI.basePath + path

        let nillableParameters: [String:Any?] = [
            "currentVersion": currentVersion
        ]
 
        let parameters = APIHelper.rejectNil(nillableParameters)
 
        let convertedParameters = APIHelper.convertBoolToString(parameters)
 
        let requestBuilder: RequestBuilder<Version>.Type = MyVillageAPIAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "GET", URLString: URLString, parameters: convertedParameters, isBody: false)
    }

}
